export interface CreateFieldTypes {
    string: 'string';
    number: 'number';
    date: 'date';
    dateTime: 'dateTime';
    boolean: 'boolean';
    singleSelect: 'singleSelect';
    actions: 'actions';
    custom: 'custom';
}

export type CreateFieldType = CreateFieldTypes[keyof CreateFieldTypes]

export interface CreateField {
    key: string;
    headerName?: string;
    type: CreateFieldType;
    required?: boolean;
    defaultValue?: any;
}